Bug 106141 - Many useless dependencies
Many useless dependencies
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-03 00:51 EDT by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0-30.sel
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-14 11:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to optimize use of -lacl (1.40 KB, patch)
2003-10-03 00:53 EDT, Ulrich Drepper
no flags Details | Diff
Patch to change configure to find acl_* functions in -lacl (983 bytes, patch)
2003-11-09 00:41 EST, Ulrich Drepper
no flags Details | Diff
Actually correct patch (1.34 KB, patch)
2003-11-09 00:56 EST, Ulrich Drepper
no flags Details | Diff

  None (edit)
Description Ulrich Drepper 2003-10-03 00:51:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20030923
Firebird/0.7+

Description of problem:
The ACL patch adds -lacl to LIBS which means all programs are linked with
libacl.  This is complete overkill, only six programs need libacl.  The
consequence is that all other programs pull in libacl and libattr at startup
time for no reason, increasing startup time and memory footprint.


Version-Release number of selected component (if applicable):
coreutils-5.0-14

How reproducible:
Always

Steps to Reproduce:
1.ldd cat
2.
3.
    

Actual Results:  Dependencies include libacl and libattr.

Expected Results:  No dependency on these two libs.

Additional info:

I'll attach a patch.
Comment 1 Ulrich Drepper 2003-10-03 00:53:22 EDT
Created attachment 94907 [details]
Patch to optimize use of -lacl

I used the patch as patch908, at the very last position.  It should be possible
to merge the patch with the other ACL patches but I didn't bother.
Comment 2 Nicholas Miell 2003-11-08 19:14:35 EST
This breaks ACL support completely.

The AC_CHECK_FUNCS tests in posic_acl.m4 depend on -lacl being in LIBS.

By putting it in LIBACL instead, they will all fail, the appropriate
HAVE_ACL_* macros don't get defined, and ACL support never gets built
into the tools.

The tools do get (unnecessarily, now) linked to libacl, though.
Comment 3 Ulrich Drepper 2003-11-09 00:41:02 EST
Created attachment 95844 [details]
Patch to change configure to find acl_* functions in -lacl

This is an interdiff to add -lacl temporarily to LIBS so that the tests for the
acl_* succeed again.
Comment 5 Ulrich Drepper 2003-11-09 00:56:57 EST
Created attachment 95845 [details]
Actually correct patch

Forget the last patch.	Compiling exposed an old bug which this one fixes as
well.
Comment 7 Nicholas Miell 2003-11-09 16:23:23 EST
I can confirm that this fixes it.
Comment 8 Tim Waugh 2003-11-14 11:47:27 EST
Thanks.  Fixed package is coreutils-5.0-30.sel.

Note You need to log in before you can comment on or make changes to this bug.